## LOC Set Engine Lock indication LOC Set Engine Lock indication |

## Functions

QmiIndicationLocSetEngineLockOutput * | qmi_indication_loc_set_engine_lock_output_ref ()
void | qmi_indication_loc_set_engine_lock_output_unref ()
gboolean | qmi_indication_loc_set_engine_lock_output_get_indication_status ()

## Types and Values

| QmiIndicationLocSetEngineLockOutput

## Object Hierarchy

        GBoxed
        ╰── QmiIndicationLocSetEngineLockOutput

## Description

## Functions

### qmi_indication_loc_set_engine_lock_output_ref ()

    QmiIndicationLocSetEngineLockOutput *
    qmi_indication_loc_set_engine_lock_output_ref
                                   (QmiIndicationLocSetEngineLockOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiIndicationLocSetEngineLockOutput. |

#### Returns

the new reference to `self` .

Since: 1.28

### qmi_indication_loc_set_engine_lock_output_unref ()

    void
    qmi_indication_loc_set_engine_lock_output_unref
                                   (QmiIndicationLocSetEngineLockOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiIndicationLocSetEngineLockOutput. |

Since: 1.28

### qmi_indication_loc_set_engine_lock_output_get_indication_status ()

    gboolean
    qmi_indication_loc_set_engine_lock_output_get_indication_status
                                   (QmiIndicationLocSetEngineLockOutput *self,
                                    QmiLocIndicationStatus *value_indication_status,
                                    GError **error);

Get the 'Indication Status' field from `self` .

#### Parameters

self | a QmiIndicationLocSetEngineLockOutput. |
value_indication_status | a placeholder for the output QmiLocIndicationStatus, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.28

## Types and Values

### QmiIndicationLocSetEngineLockOutput

    typedef struct _QmiIndicationLocSetEngineLockOutput QmiIndicationLocSetEngineLockOutput;

The QmiIndicationLocSetEngineLockOutput structure contains private data and should only be accessed using the provided API.

Since: 1.28